Page MenuHomePhabricator

Update clang support on recent Haiku
ClosedPublic

Authored by korli on Feb 1 2016, 11:13 PM.

Details

Summary

[ Copied from https://llvm.org/bugs/show_bug.cgi?id=26404 ]

clang support on Haiku is lagging a bit, and missing on x86_64.

This patch updates support for x86 and add support for x86_64. It should apply directly to trunk and it's harmless in the sense that it only affects Haiku.

Please consider reviewing.

Diff Detail

Repository
rL LLVM

Event Timeline

korli updated this revision to Diff 46613.Feb 1 2016, 11:13 PM
korli retitled this revision from to Update clang support on recent Haiku.
korli updated this object.
korli added a reviewer: rsmith.
korli set the repository for this revision to rL LLVM.
korli added a subscriber: cfe-commits.
korli updated this revision to Diff 51571.Mar 24 2016, 11:09 AM
korli edited edge metadata.

This updated diff fixes the x86-32 Haiku target, which needs the target define INTEL.
This applies directly to today's trunk.

rsmith accepted this revision.Mar 24 2016, 11:11 AM
rsmith edited edge metadata.
This revision is now accepted and ready to land.Mar 24 2016, 11:11 AM

Do you need someone to commit this for you?

Yes, I don't have commit access.

rsmith requested changes to this revision.Mar 24 2016, 2:35 PM
rsmith edited edge metadata.

Please rebase against trunk. I'm surprised that no tests need updating due to this. Can you add some, please?

lib/Basic/Targets.cpp
387 ↗(On Diff #51571)

This doesn't exist here any more.

lib/Driver/ToolChains.cpp
3004–3016 ↗(On Diff #51571)

This switch should also cover CST_Libcxx somehow.

This revision now requires changes to proceed.Mar 24 2016, 2:35 PM
korli updated this revision to Diff 52953.Apr 7 2016, 2:12 PM
korli edited edge metadata.
korli removed rL LLVM as the repository for this revision.

Thanks for the review, and sorry for the late reply.

This updated diff takes rsmith's comments into account, adding a test test/Driver/haiku.c, a case for CST_Libcxx where applicable. This applies directly against today's trunk and clang builds then successfully.

korli edited edge metadata.Apr 8 2016, 3:11 AM
korli set the repository for this revision to rL LLVM.
korli updated this revision to Diff 53464.Apr 12 2016, 10:08 PM

Updated patch against trunk (following changes in lib/Basic/Targets.cpp).

This revision was automatically updated to reflect the committed changes.